<?php
require_once('ayar.php');
require_once('cinoyun.php');

if (!current_user_can('administrator')) {
    exit('');
}

if ($_POST) {
    $json_oke = array();
    $json_oke['oke'] = TRUE;
    $json_oke['mesaj'] = NULL;


    $json_error = array();
    $json_error['hata'] = TRUE;
    $json_error['mesaj'] = NULL;


    if (Req::is_Post('swf') === FALSE) {
        $json_error['mesaj'] = 'Lütfen Swf Adresini Yazınız';
        echo json_encode($json_error);
        exit;
    }
    if (Req::is_Post('resim') === FALSE) {
        $json_error['mesaj'] = 'Lütfen Resim Adresini Yazınız';
        echo json_encode($json_error);
        exit;
    }
    if (uzanti(Req::Post_Safe('swf')) != 'swf') {
        $json_error['mesaj'] = 'Geçersiz Bir Swf Dosyası Yüklemeye Çalıştınız. Gönderdiğiniz Uzantı: ' . uzanti(Req::Post_Safe('swf'));
        echo json_encode($json_error);
        exit;
    }

    if (in_array(uzanti(Req::Post_Safe('resim')), array('jpg', 'jpeg', 'png', 'gif')) === FALSE) {
        $json_error['mesaj'] = 'Geçersiz Bir Resim Dosyası Yüklemeye Çalıştınız. Sadece jpg,jpeg,png,gif gönderebilirsiniz. Gönderdiğiniz Uzantı: ' . uzanti(Req::Post_Safe('resim'));
        echo json_encode($json_error);
        exit;
    }


    if (Req::is_Post('ad') === FALSE) {
        $json_error['mesaj'] = 'Lütfen Yazı Başlığını Belirtin';
        echo json_encode($json_error);
        exit;
    }
    if (Req::is_Post('kategori') === FALSE) {
        $json_error['mesaj'] = 'Lütfen Yazının Ekleneceği Kategoriyi Belirtin';
        echo json_encode($json_error);
        exit;
    }
    if (Req::is_Post('user') === FALSE) {
        $json_error['mesaj'] = 'Lütfen Yazının Yayıncısını Belirtin';
        echo json_encode($json_error);
        exit;
    }
    if (Req::is_Post('durum') === FALSE) {
        $json_error['mesaj'] = 'Lütfen Yazının Yayınlanma Durumunu Seçin';
        echo json_encode($json_error);
        exit;
    }

    if (in_array(Req::Post_Safe('durum'), array('pending', 'publish')) === FALSE) {
        $json_error['mesaj'] = 'Lütfen Geçerli Bir Yayın Tipi Seçin';
        echo json_encode($json_error);
        exit;
    }


    if (Req::is_Post('aciklama') === FALSE) {
        $json_error['mesaj'] = 'Lütfen Oyun Açıklaması Belirtin';
        echo json_encode($json_error);
        exit;
    }

    if (Req::is_Post('tags') === FALSE) {
        $json_error['mesaj'] = 'Lütfen Oyun Etiketi Belirtin';
        echo json_encode($json_error);
        exit;
    }

    if (get_page_by_slug(sefurl(Req::Post_Safe('ad'))) != null) {
        $json_error['mesaj'] = Req::Post_Safe('ad').' Oyunu Sistemde Kayıtlı';
        echo json_encode($json_error);
        exit;
    }


    $swfdata = getData(Req::Post_Safe('swf'));
    if ($swfdata === FALSE) {
        $json_error['mesaj'] = 'Swf Dosyası Karşı Sunucudan Çekilemedi';
        echo json_encode($json_error);
        exit;
    }
    $resimdata = getData(Req::Post_Safe('resim'));
    if ($resimdata === FALSE) {
        $json_error['mesaj'] = 'Resim Dosyası Karşı Sunucudan Çekilemedi';
        echo json_encode($json_error);
        exit;
    }

    $swffile = cin_wordpress_root_dir.cin_swf_dir . sefurl(Req::Post_Safe('ad')) . '.swf';
    $resimfile = cin_wordpress_root_dir.cin_resim_dir . sefurl(Req::Post_Safe('ad')) . '.' . uzanti(Req::Post_Safe('resim'));


    if (@file_put_contents($swffile, $swfdata) === FALSE) {
        $json_error['mesaj'] = 'Swf Dosyası Oluşturulurken Hata Oluştu.' . cin_swf_dir . ' Yazılabilinir Olduğundan Emin Olun';
        echo json_encode($json_error);
        exit;
    }

    if (@file_put_contents($resimfile, $resimdata) === FALSE) {
        @unlink($swffile);
        $json_error['mesaj'] = 'Resim Dosyası Oluşturulurken Hata Oluştu.' . cin_resim_dir . ' Yazılabilinir Olduğundan Emin Olun';
        echo json_encode($json_error);
        exit;
    }

    $template = file_get_contents(cin_plugin_dir . 'oyun.html');
    $template = str_replace(array(
        '__swf__', '__resim__', '__aciklama__'
    ), array(
        cin_swf_dir . sefurl(Req::Post_Safe('ad')) . '.swf',
        cin_resim_dir . sefurl(Req::Post_Safe('ad')) . '.' . uzanti(Req::Post_Safe('resim')),
        Req::Post_Safe('aciklama')
    ), $template);


    $post = array(
        'post_title' => Req::Post_Safe('ad'),
        'post_content' => $template,
        'post_name'=>sefurl(Req::Post_Safe('ad')),
        'post_status' => Req::Post_Safe('durum'),
        'post_author' => Req::Post_Safe('user'),
        'post_category' => array(Req::Post_Safe('kategori')),
        'tags_input' => Req::Post_Safe('tags')

    );

    if (wp_insert_post($post)) {
        $json_oke['mesaj'] = $post['post_title'] . ' Oyunu Başarıyla Eklendi.';
        echo json_encode($json_oke);
    } else {
        @unlink($swffile);
        @unlink($resimfile);
        $json_error['mesaj'] = $post['post_title'] . ' Oyunu Eklenemedi!';
        echo json_encode($json_error);
    }


}